#include <string.h>
#include "args-parser.h"

int parse_arg(const char *arg) {
    // Argumento iniciado com '-'...
    if (arg[0] == '-') {
        if (strcmp(arg, "-a") == 0) {
            return OPT_APPEND;
        } else if (strcmp(arg, "-o") == 0) {
            return OPT_OVERWRITE;
        } else if (strcmp(arg, "-h") == 0) {
            return OPT_HELP;
        } else {
            // Argumento inválido!
            return OPT_ERROR;
        }
    }
    // Sem traço é nome de arquivo...
    return OPT_NAME;
}
